beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From amaliu...@apache.org
Subject [beam] 01/02: Install typing package only for Python < 3.5.3 (#10821)
Date Tue, 07 Apr 2020 17:42:21 GMT
This is an automated email from the ASF dual-hosted git repository.

amaliujia pushed a commit to branch release-2.20.0
in repository https://gitbox.apache.org/repos/asf/beam.git

commit 6bba79abbca019bfcbdae714b02806817ebc06a3
Author: Curtis "Fjord" Hawthorne <cghawthorne@gmail.com>
AuthorDate: Tue Mar 10 16:06:26 2020 -0700

    Install typing package only for Python < 3.5.3 (#10821)
---
 sdks/python/setup.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sdks/python/setup.py b/sdks/python/setup.py
index bd6450e..80f4cb0 100644
--- a/sdks/python/setup.py
+++ b/sdks/python/setup.py
@@ -168,8 +168,8 @@ REQUIRED_PACKAGES = [
     # [BEAM-5628] Beam VCF IO is not supported in Python 3.
     'pyvcf>=0.6.8,<0.7.0; python_version < "3.0"',
     # fixes and additions have been made since typing 3.5
-    'typing>=3.7.0,<3.8.0; python_version < "3.8.0"',
-    'typing-extensions>=3.7.0,<3.8.0; python_version < "3.8.0"',
+    'typing>=3.7.0,<3.8.0; python_version < "3.5.3"',
+    'typing-extensions>=3.7.0,<3.8.0',
     ]
 
 # [BEAM-8181] pyarrow cannot be installed on 32-bit Windows platforms.


Mime
View raw message